|  | Home · All Classes · All Functions · Overviews

# Q3CanvasItemList Class Reference
[Qt3Support module]

The Q3CanvasItemList class is a list of Q3CanvasItems. More...

     #include <Q3CanvasItemList>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

This class is not part of the Qt GUI Framework Edition.

Inherits Q3ValueList<Q3CanvasItem *>.

- List of all members, including inherited members

## Public Functions

Q3CanvasItemList | operator+ ( const Q3CanvasItemList & l ) const

- 24 public functions inherited from Q3ValueList
- 47 public functions inherited from QLinkedList

### Additional Inherited Members

- 1 static public member inherited from QLinkedList

## Detailed Description

The Q3CanvasItemList class is a list of Q3CanvasItems.

Q3CanvasItemList is a Q3ValueList of pointers to Q3CanvasItems. This class is used by some methods in Q3Canvas that need to return a list of canvas items.

The Q3ValueList documentation describes how to use this list.

See also QtCanvas and Porting to Graphics View.

## Member Function Documentation

### Q3CanvasItemList Q3CanvasItemList::operator+ ( const Q3CanvasItemList & l ) const

Returns the concatenation of this list and list l.